class GetFileData:
	#constructor
	def __init__(self):
		self.__data_array = []

	#getters and setters for the lists of file data
	def get_data_array(self):
		return self.__data_array
	def set_data_array(self, data_array):
		self.__data_array = data_array

	#format the file text into a multidimensional list
	def __format_file_data(self, file_name):
		#initialize the data list
		data = []

		#open the file
		file = open(file_name, 'r')
		#separate each line into a different index
		#and everything between \ts into the next dimension of indices
		for line in file.readlines():
			data.append(line.split('\t'))
		#close the file
		file.close()

		#for each row, strip the \n at the end
		for a in range(len(data)):
			data[a][-1] = data[a][-1].rstrip('\n')
			for b in range(len(data[a])):
				data[a][b] = data[a][b].replace(',', '')

		return data

	def get_data(self, file_name):
		#create an array from the data
		data_array = self.__format_file_data(file_name)
		#set the array as the class array
		self.set_data_array(data_array)
